
Foreman - Refactor #23933

Audit - Update set_taxonomies method

06/14/2018 09:59 AM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases:  

Bugzilla link: 1590320 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5764,

https://github.com/theforeman/foreman/p

ull/5776

  

Description

Modify set_taxonomies method in such way if none of the current conditions are satisfied, it also checks the associated object.

Related issues:

Related to Katello - Bug #23912: subscription changes to a content host are n... Closed

Associated revisions

Revision 971b0bea - 07/05/2018 07:51 AM - Kavita Gaikwad

Fixes #23933 - consider associated object in set_taxonomies

History

#1 - 06/14/2018 09:59 AM - Kavita Gaikwad

- Related to Bug #23912: subscription changes to a content host are not audited added

#2 - 07/03/2018 01:37 PM - Kavita Gaikwad

- Triaged set to No

- Pull request https://github.com/theforeman/foreman/pull/5764 added

#3 - 07/04/2018 04:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#4 - 07/05/2018 07:52 AM - Tomer Brisker

- translation missing: en.field_release set to 330

Setting to 1.18 since otherwise some audits (e.g. for nics) will not receive correct taxonomy scope.

#5 - 07/05/2018 08:01 AM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 971b0bea77e63d9325c874626a022539ab909d20.

#6 - 07/05/2018 10:03 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5776 added

#7 - 07/09/2018 02:04 PM - Ondřej Pražák

- Fixed in Releases 1.18.0 added
